# Generated from aws-sdk-v1-1.56.0.gem by gem2rpm -*- rpm-spec -*-
%{!?scl:%global pkg_name %{name}}
%{?scl:%scl_package rubygem-%{gem_name}}
%global gem_name aws-sdk-v1
%global rubyabi 1.9.1

Summary: AWS SDK for Ruby V1
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 1.56.0
Release: 1%{?dist}
Group: Development/Languages
License: Apache 2.0
URL: http://aws.amazon.com/sdkforruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems) 
Requires: %{?scl_prefix}ruby 
Requires: %{?scl_prefix}rubygem(nokogiri) >= 1.4.4
Requires: %{?scl_prefix}rubygem(json) => 1.4
Requires: %{?scl_prefix}rubygem(json) < 2
BuildRequires: %{?scl_prefix}rubygems-devel 
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Version 1 of the AWS SDK for Ruby. Available as both `aws-sdk` and
`aws-sdk-v1`.
Use `aws-sdk-v1` if you want to load v1 and v2 of the Ruby SDK in the same
application.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
    --bindir .%{_bindir} \
    --force %{SOURCE0}
%{?scl:"}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x


%files
%dir %{gem_instdir}
%{gem_instdir}/bin
%{gem_instdir}/rails
%{gem_instdir}/ca-bundle.crt
%{gem_instdir}/endpoints.json
%doc %{gem_instdir}/LICENSE.txt
%doc %{gem_instdir}/README.md
%{gem_libdir}
%{gem_cache}
%{gem_spec}
%{_bindir}/aws-rb

%files doc
%{gem_docdir}
%doc %{gem_instdir}/.yardopts
%doc %{gem_instdir}/LICENSE.txt

%changelog
* Mon May 11 2015 Joe VLcek<jvlcek@redhat.com> - 1.56.0-1
- Upstream release 1.56.0

* Thu Dec 18 2014 Troy Dawson <tdawson@redhat.com> - 1.54.0-1
- Initial package, taken from aws-sdk spec file
